POST https://api.zatomic.ai/v1/contexts/file
API Reference
- Overview
- Versioning
- Authentication
- Workspaces
- Status Codes and Errors
- Credit Usage
- Expanding Objects
- OpenAPI Spec
- Changelog
- Contexts
- The Context Object
- Create File Context
- Create Text Context
- Update Context
- Delete Context
- Retrieve Context
- Retrieve All Contexts
- Context Versions
- The Context Version Object
- Create File Context Version
- Create Text Context Version
- Update File Context Version
- Update Text Context Version
- Delete Context Version
- Retrieve Context Version
- Retrieve All Context Versions
- Projects
- The Project Object
- Create Project
- Update Project
- Delete Project
- Retrieve Project
- Retrieve All Projects
- Prompts
- The Prompt Object
- Create Prompt
- Update Prompt
- Delete Prompt
- Retrieve Prompt
- Retrieve All Prompts
- Generate Prompt
- Versions
- The Version Object
- Create Version
- Update Version
- Delete Version
- Retrieve Version
- Retrieve All Versions
- Calculate Version Score
- Retrieve Version Score
- Generate Version Heatmap
- Retrieve Version Heatmap
- Analyze Version Balance
- Retrieve Version Balance
- Analyze Version Risk
- Retrieve Version Risk
- Improve Version
- Scoring Criteria
- The Scoring Criteria Object
- The Scoring Criterion Object
- Create Scoring Criteria
- Update Scoring Criteria
- Delete Scoring Criteria
- Retrieve Scoring Criteria
- Retrieve All Scoring Criteria
- Generate Scoring Criteria
- Create Scoring Criterion
- Update Scoring Criterion
- Delete Scoring Criterion
- Retrieve Scoring Criterion
- Scoring Criteria Results
- The Scoring Criteria Results Object
- Scoring
- The Scoring Object
- Calculate Prompt Score
- Heatmaps
- The Heatmap Object
- Generate Prompt Heatmap
- Balance
- The Balance Object
- Analyze Prompt Balance
- Risk
- The Risk Object
- Analyze Prompt Risk
Create File Context
Creating a new file context requires a name and a file, everything else is optional. The context will be created along with its first version, which becomes the context's primary version by default.
Maximum file size is 100 MB and the allowed file types are: .csv, .doc, .docx, .gif, .jpg, .jpeg, .md, .pdf, .png, .ppt, .pptx, .svg, .txt, .webp, .xls, .xlsx.
Endpoint Request
| Request Properties | |
|---|---|
|
name
string
|
Name of the context. |
|
file
multipart/form-data
|
The file to be uploaded for the context. |
|
description
string, optional
|
Description for the context. |
|
version_name
string, optional
|
Name for the context version. |
curl -X POST "https://api.zatomic.ai/v1/contexts/file" \
-F "name=Employee Handbook" \
-F "file=employee-handbook.pdf" \
-F "description=Current employee policies and procedures" \
-F "version_name=2026 Handbook"
Endpoint Response
A successful call returns a 201 status code with a response that contains the context object.
| HTTP Status Codes | ||
|---|---|---|
| 201 | Created | The context was created. |
| 400 | Bad Request | The name was not provided in the request. |
| 400 | Bad Request | The file was not provided in the request. |
| 400 | Bad Request | The file size was greater than 100 MB. |
| 400 | Bad Request | The file type was not allowed. |
| 500 | Internal Server Error | Something went wrong on Zatomic's end. |